Subject: Calculating Stress Tensor in CPMD simulations

From: "sdecker" <[email-masked]>
Date: Tue, 18 Jun 2002 15:23:14 -0400

Hi All,

    I am relatively new to the field of Car-Parrinello Molecular Dynamics and the commonly employed programs to do these simulations and I was hoping that someone in the CCL will be able to help me with a problem I have encountered.  In particular, I am having problems calculating the stress tensor (to obtain the hydrostatic pressure) during an NVE simulation of a liquid with the program CPMD.  I am able to calculate the stress tensor for a test system of liquid H2O with 32 molecules in the simulation cell with CPMD versions 3.4.3 and 3.5.1.  However, when I try to calculate the stress tensor for my system of interest: liquid nitromethane (CH3NO2) with 32 molecules in the simulation cell I cannot do so.  With CPMD version 3.4.3 my job exits with an error stating that more programming is required, and with CPMD version 3.5.1 my job becomes frozen during the initialization right after generating the atomic basis set and just before it goes through some sort of initialization routine for the stress tensor.  Has anyone encountered a similar problem.  Since I am able to calculate the stress tensor for the smaller liquid H2O system it seems like this may be due to a restriction on the system size.  Does anyone know if this is indeed the case?    

    Your help would be greatly appreciated.

    Sincerely,

    Stephen Decker

_________________________________________________

 Dr. Stephen A. Decker, Ph.D.
 NSERC Postdoctoral Fellow

 Department of Chemistry  
 University of Western Ontario
 London, Ontario,  Canada
 N6A 5B7

 phone: (519)-661-2111 ext. 86353          
 fax:      (519)-661-3022
 email:  [email-masked]
_________________________________________________